Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 88)
@@ -2208,10 +2367,43 @@
             }
             return 0;
         }
+        #endregion
 
+        #region 発注者区分、発注者コードからヘッダヘッダ行を検索
+        /// <summary>
+        /// 発注者区分、発注者コードからヘッダヘッダ行を検索
+        /// </summary>
+        /// <param name="depositOrderer"></param>
+        /// <returns></returns>
+        private int DetectHeaderIndex(int nDivision, int nCode)
+        {
+            for (var i = 0; i < dgvMaster.RowCount; i++)
+            {
+                var cells = dgvMaster.Rows[i].Cells;
+
+                if (CommonMotions.cnvInt(cells[(int)DispColumn.OrderersDivision].Value) == nDivision
+                    && CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value) == nCode)
+                {
+                    return i;
+                }
+            }
+            return 0;
+        }
+        #endregion
+
+        #region 不明行インデックスの検索
+        /// <summary>
+        /// 不明行インデックスの検索
+        /// </summary>
+        /// <param name="index"></param>
+        /// <returns></returns>
         private int DetectUnknownIndex(int index)
         {
-            var headerIndex = DetectHeaderIndex(index);
+            var cells = dgvMaster.Rows[index].Cells;
+            int nDivision = int.Parse(cells[(int)DispColumn.OrderersDivision].Value.ToString());
+            int nCode = int.Parse(cells[(int)DispColumn.OrderersCode].Value.ToString());
+
+            var headerIndex = DetectHeaderIndex(nDivision,nCode);
             for (var i = headerIndex; i < dgvMaster.Rows.Count; i++)
             {
                 var constructionName = CommonMotions.cnvString(dgvMaster.Rows[i].Cells[(int)DispColumn.ConstructionName].Value);
@@ -2219,11 +2411,33 @@
                 {
                     return i;
                 }
+
+                // 最終行超え
+                if (dgvMaster[(int)DispColumn.OrderersDivision, i].Value == null)
+                {
+                    break;
+                }
+
+                // 対象の発注者が変わった場合は検索終了
+                if ((int.Parse(dgvMaster[(int)DispColumn.OrderersDivision, i].Value.ToString()) != nDivision)||
+                    (int.Parse(dgvMaster[(int)DispColumn.OrderersCode, i].Value.ToString()) != nCode))
+                {
+                    break;
+                }
+
             }
-            return 0;
+            return -1;
         }
+        #endregion
 
-        private void SetPrice(DataGridViewCellCollection cells, int index, int price)
+        #region 金額の設定
+        /// <summary>
+        /// 金額の設定
+        /// </summary>
+        /// <param name="cells"></param>
+        /// <param name="index"></param>
+        /// <param name="price"></param>
+        private void SetPrice(DataGridViewCellCollection cells, int index, long price)
         {
             cells[index].Value = price.ToString("#,0");
             cells[index].Style.ForeColor = Color.Black;
@@ -2232,7 +2446,17 @@
                 cells[index].Style.ForeColor = Color.Red;
             }
         }
+        #endregion
 
+        #region 請求先名の取得
+        /// <summary>
+        /// 請求先名の取得
+        /// </summary>
+        /// <param name="corporateStatusPoint"></param>
+        /// <param name="corporateStatusName"></param>
+        /// <param name="orderersName1"></param>
+        /// <param name="orderersName2"></param>
+        /// <returns></returns>
         private string ToOrdererName(int corporateStatusPoint, string corporateStatusName, string orderersName1, string orderersName2)
         {
             // 発注者名１△発注者名２
@@ -2260,7 +2484,9 @@
             }
             return orderersName1 + corporateStatusName + orderersName2;
         }
+        #endregion
 
+        #region DataGridヘッダ色表示
         /// <summary>
         /// DataGridヘッダ色表示
         /// </summary>
@@ -2371,7 +2597,9 @@
                 }
             }
         }
+        #endregion
 
+        #region 表示権限のチェックを実施する。
         /// <summary>
         /// 表示権限のチェックを実施する。
         /// </summary>
@@ -2386,9 +2614,41 @@
                 {
                     return true;
                 }
+
+                var sql = new StringBuilder();
+
+                var ioDepData = new IODepositData();
+                var arWork = new ArrayList();
+
+                sql.Append("SELECT");
+                sql.Append(" SUM(DepData.DepositAmount) AS DatDepAmount");
+                sql.Append(" ,IFNULL(SUM(DepDetail.DEPOSITAMOUNT), 0) AS DtlDepAmount");
+                sql.Append(" FROM");
+                sql.Append(" DepositData DepData");
+                sql.Append(" LEFT JOIN DepositDataDetail DepDetail ON");
+                sql.Append(" DepData.ORDERERSDIVISION = DepDetail.ORDERERSDIVISION");
+                sql.Append(" AND DepData.ORDERERSCODE = DepDetail.ORDERERSCODE");
+                sql.Append(" AND DepData.TARGETDATE = DepDetail.TARGETDATE");
+                sql.Append(" WHERE");
+                sql.AppendFormat(" DepData.ORDERERSDIVISION = {0}", orderer.OrderersDivision);
+                sql.AppendFormat(" AND DepData.ORDERERSCODE = {0}", orderer.OrderersCode);
+                sql.AppendFormat(" AND DepData.TARGETDATE = {0}", m_Select_TargetDate);
+
+                if (!ioDepData.ExecuteReader(sql.ToString(), ref arWork))
+                    return false;
+
+                long lDatDepAmount = CommonMotions.cnvLong(((object[])arWork[0])[0]);
+                long lDtlDepAmount = CommonMotions.cnvLong(((object[])arWork[0])[1]);
+
+                if (lDatDepAmount != lDtlDepAmount)
+                {
+                    return true;
+                }
+
+                sql.Length = 0;
+
                 var ioPdm = new IOMPersonDepartment();
                 var arDataPdm = new ArrayList();
-                var sql = new StringBuilder();
                 sql.Append("select count(*) from ConstructionBaseInfo Cbi ");
                 sql.Append("inner join PersonInChargeMaster PicM on PicM.PersonCode = Cbi.ConstructionPersonCode ");
                 sql.Append("inner join PersonDepartmentMaster PdM on PdM.DepartmentCode = PicM.DepartmentCode ");
@@ -2410,7 +2670,18 @@
                 }
                 if (!ioPdm.ExecuteReader(sql.ToString(), ref arDataPdm))
                     return false;
-                return CommonMotions.cnvInt(((object[])arDataPdm[0])[0]) > 0;
+
+                int nCount = CommonMotions.cnvInt(((object[])arDataPdm[0])[0]);
+
+                // 権限を所有する工事がある場合は保持
+                if (nCount > 0)
+                {
+                    return true;
+                }
+                else
+                {
+                    return false;
+                }
             }
             catch (Exception ex)
             {
@@ -2418,7 +2689,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 表示権限のチェックを実施する。
         /// <summary>
         /// 表示権限のチェックを実施する。
         /// </summary>
@@ -2482,7 +2755,9 @@
                 return false;
             }
         }
+        #endregion
 
+        #region 担当未承認の承認者リスト
         /// <summary>
         /// 担当未承認の承認者リスト
         /// </summary>
@@ -2529,31 +2804,66 @@
                 IoAm = null;
             }
         }
+        #endregion
 
+        #region 入金データが編集可能か判定
+        /// <summary>
+        /// 入金データの編集可能か判定
+        /// </summary>
+        /// <param name="depositOrderer"></param>
+        /// <returns></returns>
         private bool CanEditDeposit(DepositOrderer depositOrderer)
         {
-            // 担当者の場合
-            if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.NormalAuthority)
+            //// 最終承認済の場合
+            //if (depositOrderer.HasApprovedByLastApprover)
+            //{
+            //    return false;
+            //}
+
+            long lTotalDatAmount = 0;
+            long lTotalDtlAmount = 0;
+
+            // 入金請求先データから入金金額（総務担当者）を取得
+            foreach (Deposit Dep in depositOrderer.Deposits)
             {
-                // 承認済みなら編集不可
-                if (depositOrderer.HasApprovedByApprover)
-                    return false;
+                lTotalDatAmount += (Dep.DepositAmountBill.GetValueOrDefault(0) + Dep.DepositAmountCash.GetValueOrDefault(0));    
             }
-            // 所属長、統括者の場合
-            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.LimitedAuthority || m_UserInfo.m_Type == CommonDefine.SecurityRankPos.FreeAuthority)
+
+            bool bApprovalEnd = true;  // 承認完了フラグ
+
+            // 入金データ明細（工事担当者）から入金金額を取得
+            foreach (DepositDetail DepDtl in depositOrderer.DepositDetails)
             {
-                if (depositOrderer.HasApprovedByLastApprover)
-                    return false;
+                lTotalDtlAmount += DepDtl.DepositAmount;
+
+                // 最終承認が完了していない入金データ明細が存在する場合
+                if (DepDtl.IsApprovedByLastApprover == false)
+                {
+                    bApprovalEnd = false;
+                }
             }
-            // 特別権限の場合
-            else if (m_UserInfo.m_Type == CommonDefine.SecurityRankPos.SpecialAuthority)
+
+            // 不明行が存在する場合は、編集可能とする。
+            if (lTotalDtlAmount != lTotalDatAmount)
             {
-                if (depositOrderer.HasApprovedByLastApprover)
-                    return false;
+                return m_UserInfo.CanEditDeposit;
             }
-            return m_UserInfo.CanEditDeposit;
+
+            if (bApprovalEnd == false)
+            {
+                return m_UserInfo.CanEditDeposit;
+            } 
+   
+            return false;
         }
+        #endregion
 
+        #region 入金データ明細が編集可能か判定
+        /// <summary>
+        /// 入金データ明細が編集可能か判定
+        /// </summary>
+        /// <param name="depositDetail"></param>
+        /// <returns></returns>
         private bool CanEditDepositDetail(DepositDetail depositDetail)
         {
             // 担当者の場合
@@ -2578,7 +2888,14 @@
             }
             return m_UserInfo.CanEditDepositDetail;
         }
+        #endregion
 
+        #region 上位承認者か判定する
+        /// <summary>
+        /// 上位承認者か判定する
+        /// </summary>
+        /// <param name="depositDetail"></param>
+        /// <returns></returns>
         private bool IsUpperLevelApprover(DepositDetail depositDetail)
         {
             if (depositDetail.DepositApprovals.Count == 0)
@@ -2587,7 +2904,9 @@
             var myIndex = depositDetail.DepositApprovals.FindLastIndex(da => da.ApprovalPerson == CommonMotions.LoginUserData.PersonCode);
             return myIndex > lastApproverIndex;
         }
+        #endregion
 
+        #region 編集用空白行追加
         /// <summary>
         /// 編集用空白行追加
         /// </summary>
@@ -2617,7 +2936,9 @@
             row.Cells[(int)DispColumn.DepositAmountCash].ReadOnly = readOnly;
             row.Cells[(int)DispColumn.DepositAmountBill].ReadOnly = readOnly;
         }
-        
+        #endregion
+
+        #region ボタン制御
         /// <summary>
         /// ボタン制御
         /// </summary>
@@ -2655,7 +2976,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 入金請求先情報を取得する。
         /// <summary>
         /// 入金請求先情報を取得する。
         /// </summary>
@@ -2668,7 +2991,9 @@
             var orderersCode = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value);
             return FindDepositOrderer(orderersDivision, orderersCode);
         }
+        #endregion
 
+        #region 入金請求先情報を取得する。
         /// <summary>
         /// 入金請求先情報を取得する。
         /// </summary>
@@ -2679,7 +3004,9 @@
         {
             return depositOrderers.Find(dh => !dh.Deleted && dh.OrderersDivision == orderersDivision && dh.OrderersCode == orderersCode);
         }
+        #endregion
 
+        #region 対象の行の請求先キーを取得する。
         /// <summary>
         /// 対象の行の請求先キーを取得する。
         /// </summary>
@@ -2694,5 +3021,22 @@
                 OrderersCode = CommonMotions.cnvInt(cells[(int)DispColumn.OrderersCode].Value),
             };
         }
+        #endregion
+
+        #region デバッグ用非可視列の表示
+        /// <summary>
+        /// デバッグ用非可視列の表示
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void button1_Click(object sender, EventArgs e)
+        {
+            for(int i=0; i<dgvMaster.ColumnCount;i++)
+            {
+                dgvMaster.Columns[i].Visible = true;
+            }
+        }
+        #endregion
+
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurity.cs	(revision 88)
@@ -91,14 +91,14 @@
         /// データ表示定義
         /// </summary>
         private KeyValuePair<int, string>[] s_ConfigurationArray = {
-                                                    //new KeyValuePair<int, string>(-1, "基　本　処　理"),                                                   // ----- タイトル
+                                                    //new KeyValuePair<int, string>(-1, "基　本　処　理"),                                                  // ----- タイトル
                                                     //new KeyValuePair<int, string>((int)ClsExcute.SubFormExecuteNo.ActionSchdule, string.Empty),             // 203:行動予定入力
                                                     //new KeyValuePair<int, string>((int)ClsExcute.SubFormExecuteNo.VehicleSchdule, string.Empty),            // 204:車両予約入力
-                                                    new KeyValuePair<int, string>(-1, "共　通　処　理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>(-1, "共　通　処　理"),                                                    // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionList, string.Empty),          //  1:工事情報一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ApprovalDocumentList, string.Empty),      //  7:承認申請一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionCopyList, string.Empty),      //  8:工事案件コピー機能
-                                                    new KeyValuePair<int, string>(-1, "受　注　管　理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>(-1, "受　注　管　理"),                                                  // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBaseInfo, string.Empty),      //  2:工事情報入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateInput, string.Empty),             //  3:積算見積入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimatePrint, string.Empty),             //  4:積算見積書印刷
@@ -105,7 +105,7 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.EstimateBudget, string.Empty),            //  5:積算予算書入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.OrderJoin, string.Empty),                 // 20:工事結合
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionSplit, string.Empty),         // 21:工事分割
-                                                    new KeyValuePair<int, string>(-1, "日次（施工）管理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>(-1, "日次（施工）管理"),                                                // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DepartmentExpenssList, string.Empty),     // 11:部署別台帳一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionLedgerList, string.Empty),    // 12:工事詳細台帳一覧
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionLedger, string.Empty),        // 13:工事詳細台帳
@@ -114,15 +114,26 @@
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.Proceedings, string.Empty),               // 17:打合せ議事録入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.TAndPCosts, string.Empty),                // 14:交通費及び購入品入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.DRWork, string.Empty),                    // 18:出勤日報
-                                                    new KeyValuePair<int, string>(-1, "書　類　管　理"),                                                   // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialList, string.Empty),              // 23:資材一覧
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialHistory, string.Empty),           // 24:資材履歴画面
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialCountEntry, string.Empty),        // 25:資材数変更画面
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialReserveEntry, string.Empty),      // 26:資材貸出
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialReturnEntry, string.Empty),       // 27:資材返却
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.MaterialSelect, string.Empty),            // 28;資材選択
+                                                    new KeyValuePair<int, string>(-1, "月次（施工）管理"),                                                // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.RequestSummaryList, string.Empty),        // 29:請求まとめ
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PaymentConfirmation, string.Empty),       // 30:入金確認
+                                                    new KeyValuePair<int, string>(-1, "書　類　管　理"),                                                  // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.ConstructionBudget, string.Empty),        //  6:工事予算書入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderEntry, string.Empty),        //  9:注文書入力
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderPrint, string.Empty),        // 10:注文書印刷
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.PurchaseOrderStatus, string.Empty),       // 19:注文書発給一覧
-                                                    new KeyValuePair<int, string>(-1, "各種提出書類"),                                                    // ----- タイトル
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.RequestInput, string.Empty),              // 31:請求入力
+                                                    new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.RequestPrint, string.Empty),              // 32:請求書印刷
+                                                    new KeyValuePair<int, string>(-1, "各種提出書類"),                                                      // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.CostomerRegist, string.Empty),            // 34:発注者登録申請
                                                     new KeyValuePair<int, string>((int)ClsExcute.ProcessExecuteNo.SubConstrRegist, string.Empty),           // 36:協力会社登録申請
-                                                    new KeyValuePair<int, string>(-1, "マスタメンテナンス"),                                             // ----- タイトル
+                                                    new KeyValuePair<int, string>(-1, "マスタメンテナンス"),                                              // ----- タイトル
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.System, string.Empty),                // システム管理登録
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.Security, string.Empty),              // セキュリティ区分登録
                                                     new KeyValuePair<int, string>((int)ClsExcute.MaintenanceExecuteNo.ApprovalRoute, string.Empty),         // 承認経路登録
Index: branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmRequestPrint.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmRequestPrint.cs	(revision 87)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/SubForms/FrmRequestPrint.cs	(revision 88)
@@ -728,17 +728,17 @@
         #region 請求書データの反映
         private void EntryInvoiceData()
         {
-            int nTotalAmount = 0;
-            int nTaxAmount = 0;
+            long lTotalAmount = 0;
+            long lTaxAmount = 0;
 
             foreach (RequestHead ReqHead in m_lstReqHead)
             {
-                nTotalAmount += ReqHead.RequestTotalAmount;
-                nTaxAmount += ReqHead.TaxAmount;
+                lTotalAmount += ReqHead.RequestTotalAmount;
+                lTaxAmount += ReqHead.TaxAmount;
             }
 
-            m_InvData.TotalAmount = nTotalAmount;
-            m_InvData.TaxAmount = nTaxAmount;
+            m_InvData.TotalAmount = lTotalAmount;
+            m_InvData.TaxAmount = lTaxAmount;
 
             if (rdPrint.Checked == true)
             {
@@ -1334,15 +1334,15 @@
                             return;
                         }
 
-                        int nRequestAmount = ReqData.RequestAmount0;
-                        nRequestAmount += ReqData.RequestAmount1;
-                        nRequestAmount += ReqData.RequestAmount2;
-                        nRequestAmount += ReqData.RequestAmount3;
-                        nRequestAmount += ReqData.RequestAmount4;
-                        nRequestAmount += ReqData.RequestAmount5;
-                        nRequestAmount += ReqData.RequestAmount6;
+                        long lRequestAmount = ReqData.RequestAmount0;
+                        lRequestAmount += ReqData.RequestAmount1;
+                        lRequestAmount += ReqData.RequestAmount2;
+                        lRequestAmount += ReqData.RequestAmount3;
+                        lRequestAmount += ReqData.RequestAmount4;
+                        lRequestAmount += ReqData.RequestAmount5;
+                        lRequestAmount += ReqData.RequestAmount6;
 
-                        if (nRequestAmount == 0)
+                        if (lRequestAmount == 0)
                         {
                             continue;
                         }
@@ -1460,7 +1460,7 @@
 
                 //// ⑥ 消費税(12行目 J列)
                 ExcelPrintData taxData = new ExcelPrintData();
-                taxData.AddPrintData("J", 11, m_InvData.TaxAmount.ToString("#,0")).ExcelCellSet(m_UsedExcel);
+                taxData.AddPrintData("I", 11, m_InvData.TaxAmount.ToString("#,0")).ExcelCellSet(m_UsedExcel);
 
                 string[] comment = new string[]{ m_InvData.Comment1, m_InvData.Comment2, m_InvData.Comment3, m_InvData.Comment4, m_InvData.Comment5 };
 
@@ -1523,17 +1523,17 @@
                         ExcelPrnData.AddPrintData("C", trow + 1, "～");
                         ExcelPrnData.AddPrintData("C", trow + 2, Info.ConstructionPeriodEnd.ToString("yyyy/MM/dd"));      // 工期終了
 
-                        int nAmount = ReqData.RequestAmount0;
-                        nAmount += ReqData.RequestAmount1;
-                        nAmount += ReqData.RequestAmount2;
-                        nAmount += ReqData.RequestAmount3;
-                        nAmount += ReqData.RequestAmount4;
-                        nAmount += ReqData.RequestAmount5;
-                        nAmount += ReqData.RequestAmount6;
-                        nAmount += ReqData.TaxAmount;
-                        nAmount += ReqData.UnpaidAmount;
+                        long lAmount = ReqData.RequestAmount0;
+                        lAmount += ReqData.RequestAmount1;
+                        lAmount += ReqData.RequestAmount2;
+                        lAmount += ReqData.RequestAmount3;
+                        lAmount += ReqData.RequestAmount4;
+                        lAmount += ReqData.RequestAmount5;
+                        lAmount += ReqData.RequestAmount6;
+                        lAmount += ReqData.TaxAmount;
+                        lAmount += ReqData.UnpaidAmount;
 
-                        ExcelPrnData.AddPrintData("D", trow, nAmount.ToString("#,0"));       // 請求金額
+                        ExcelPrnData.AddPrintData("D", trow, lAmount.ToString("#,0"));       // 請求金額
 
                         ExcelPrnData.AddPrintData("E", trow, ReqData.Note);                                             // 備考
                         ExcelPrnData.ExcelCellSet(m_UsedExcel);
@@ -1592,7 +1592,7 @@
                     ExcelPrnData.ExcelCellSet(m_UsedExcel);
                 }
 
-                int nTotalAmount = 0;
+                long lTotalAmount = 0;
 
                 // ------------------------------- 見積金額（本工事） -------------------------------
                 ExcelPrnData = new ExcelPrintData();
@@ -1599,15 +1599,15 @@
                 ExcelPrnData.AddPrintData("G", 9, ReqData.RequestAmount0.ToString("#,0"));
                 ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
-                nTotalAmount += ReqData.RequestAmount0;
+                lTotalAmount += ReqData.RequestAmount0;
  
                 // ------------------------------- 見積金額（増減工事） -------------------------------
-                int[] nAmount = new int[] { ReqData.RequestAmount1, ReqData.RequestAmount2, ReqData.RequestAmount3, ReqData.RequestAmount4, ReqData.RequestAmount5, ReqData.RequestAmount6 };
+                long[] lAmount = new long[] { ReqData.RequestAmount1, ReqData.RequestAmount2, ReqData.RequestAmount3, ReqData.RequestAmount4, ReqData.RequestAmount5, ReqData.RequestAmount6 };
                 string[] strTitle = new string[] { "増減工事１", "増減工事２", "増減工事３", "増減工事４", "増減工事５", "増減工事６" };
 
                 for (int i = 0; i < 6; i++)
                 {
-                    if (nAmount[i] > 0)
+                    if (lAmount[i] > 0)
                     {
                         ExcelPrnData = new ExcelPrintData();
                         ExcelPrnData.AddPrintData("B", 10 + i, strTitle[i]);
@@ -1614,16 +1614,16 @@
                         ExcelPrnData.AddPrintData("C", 10 + i, "追加増減見積もり参照");
                         ExcelPrnData.AddPrintData("D", 10 + i, "1");
                         ExcelPrnData.AddPrintData("E", 10 + i, "式");
-                        ExcelPrnData.AddPrintData("G", 10 + i, nAmount[i].ToString("#,0"));
+                        ExcelPrnData.AddPrintData("G", 10 + i, lAmount[i].ToString("#,0"));
                         ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
-                        nTotalAmount += nAmount[i];
+                        lTotalAmount += lAmount[i];
                     }
                 }
 
                 // ------------------------------- 今回ご請求分 -------------------------------
                 ExcelPrnData = new ExcelPrintData();
-                ExcelPrnData.AddPrintData("G", 17, nTotalAmount.ToString("#,0"));
+                ExcelPrnData.AddPrintData("G", 17, lTotalAmount.ToString("#,0"));
                 ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
                 // ------------------------------- 請負金額残金 -------------------------------
@@ -1646,12 +1646,12 @@
                     ExcelPrnData.AddPrintData("G", 21, ReqData.UnpaidAmount.ToString("#,0"));
                     ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
-                    nTotalAmount += ReqData.UnpaidAmount;
+                    lTotalAmount += ReqData.UnpaidAmount;
                 }
 
                 // ------------------------------- 小計 -------------------------------
                 ExcelPrnData = new ExcelPrintData();
-                ExcelPrnData.AddPrintData("G", 23, nTotalAmount.ToString("#,0"));
+                ExcelPrnData.AddPrintData("G", 23, lTotalAmount.ToString("#,0"));
                 ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
                 // ------------------------------- 消費税 -------------------------------
@@ -1659,11 +1659,11 @@
                 ExcelPrnData.AddPrintData("C", 24, string.Format("{0}%",CommonMotions.SystemMasterData.ConsumptionTax));
                 ExcelPrnData.AddPrintData("G", 24, ReqData.TaxAmount.ToString("#,0"));
                 ExcelPrnData.ExcelCellSet(m_UsedExcel);
-                nTotalAmount += ReqData.TaxAmount;
+                lTotalAmount += ReqData.TaxAmount;
 
                 // ------------------------------- 税込金額合計 -------------------------------
                 ExcelPrnData = new ExcelPrintData();
-                ExcelPrnData.AddPrintData("G", 25, nTotalAmount.ToString("#,0"));
+                ExcelPrnData.AddPrintData("G", 25, lTotalAmount.ToString("#,0"));
                 ExcelPrnData.ExcelCellSet(m_UsedExcel);
 
                 return CommonDefine.RetunAnswer.Answer0;
